# Docker

## Local Build

This projects contains a [Dockerfile](https://code.usgs.gov/ghsc/nshmp/nshmp-apps/-/blob/main/Dockerfile) that can be built and
ran.

### Build Docker Image

```bash
docker build \
  --build-arg BASE_HREF=<some/path> \
  nshmp-apps .
```

> Note: Replace `<some/path>` with an appropritate base href

Example:

```bash
docker build \
  --build-arg BASE_HREF=nshmp \
  nshmp-apps .
```

### Run Docker Image

```bash
docker run -p <PORT>:8080 nshmp-apps
```

> Note: Replace `<PORT>` with an appropriate port to run the application.

Example:

```bash
docker run -p 8080:8080 nshmp-apps
```

## Docker Registry

The [nshmp-apps](https://hub.docker.com/r/usgs/nshmp-apps)
Docker image is available from the Docker registry. There are three main tags to pull:

- latest
- staging-latest
- production-latest

The `staging-latest` and `latest` refers to the
[main](https://code.usgs.gov/ghsc/nshmp/nshmp-apps/-/tree/main) branch and
`production-latest` refers to the
[production](https://code.usgs.gov/ghsc/nshmp/nshmp-apps/-/tree/production) branch.

### Download Registry Image

```bash
docker pull usgs/nshmp-apps:production-latest
```

### Run Registry Image

```bash
docker run -p 8080:8080 usgs/nshmp-apps:production-latest
```

## Docker Environment Variables

By default the backend web services that nshmp-apps calls use
`https://earthquake.usgs.gov` as the default, this can be changed by setting
the `BASE_SERVICE_URL` environment variable:

```bash
docker run -p 8080:8080 -e BASE_SERVICE_URL="" usgs/nshmp-apps
```

<br>
<div align="center">
  <h3> 
    Previous: <a href="https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/additional-documentation/web-service-configuration.html">Web Service Configuration</a> &emsp; &emsp;
    Next: <a href="https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/additional-documentation/development.html">Development</a>
  </h3>
</div>
