// Plugins enable you to tap into, modify, or extend the internal behavior of Cypress
// For more info, visit https://on.cypress.io/plugins-api

const webpackPreprocessor = require('@cypress/webpack-preprocessor');

module.exports = on => {
  on(
    'file:preprocessor',
    webpackPreprocessor({
      webpackOptions: {
        resolve: {
          extensions: ['.ts', '.tsx', '.js'],
        },
        module: {
          rules: [
            {
              test: /\.tsx?$/,
              loader: 'ts-loader',
              options: {transpileOnly: true},
            },
          ],
        },
      },
    })
  );

  on('task', {
    log(message) {
      console.log(message);
      return null;
    },
  });
};
