import 'cypress';

import * as utils from './utils';

export function hasHazardModelMenu() {
  it('Has model menu', () => {
    cy.get('nshmp-template-control-panel')
      .find('hazard-lib-model-form')
      .scrollIntoView()
      .find('mat-select')
      .should('be.visible');
  });
}

export function setHazardCommonControlPanel() {
  utils.setInput('.latitude-input', '34');
  utils.setInput('.longitude-input', '-118');
  cy.get('nshmp-template-control-panel')
    .find('hazard-lib-site-class-form')
    .scrollIntoView()
    .find('mat-select')
    .click();
  utils.selectMatOption('BC');
  utils.setInput('hazard-lib-return-period-form', '2475');
}

export function setHazardMaxDirection() {
  cy.get('nshmp-template-control-panel')
    .find('hazard-lib-max-direction-form')
    .scrollIntoView()
    .find('mat-checkbox')
    .should('not.have.class', 'mat-checkbox-checked')
    .should('be.visible')
    .find('label')
    .click()
    .parent()
    .should('have.class', 'mat-checkbox-checked');
}
export function setHazardTruncate() {
  cy.get('nshmp-template-control-panel')
    .find('hazard-lib-truncation-form')
    .scrollIntoView()
    .find('mat-checkbox')
    .should('not.have.class', 'mat-checkbox-checked')
    .should('be.visible')
    .find('label')
    .click()
    .parent()
    .should('have.class', 'mat-checkbox-checked');
}
