import 'cypress';

export function hasApplicationTab(tabClass: string) {
  cy.get('nshmp-template-plot-content')
    .find('mat-tab-group')
    .find(tabClass)
    .should('be.visible')
    .click();
}

export function hasDownloadedFile(filename: string) {
  const downloadsFolder = Cypress.config('downloadsFolder');
  const file = `${downloadsFolder}/${filename}`;

  cy.readFile(file).should('exist').should('have.length.above', 1);
}

export function setInput(inputClass: string, value: string) {
  cy.get('nshmp-template-control-panel')
    .find(inputClass)
    .find('input')
    .scrollIntoView()
    .should('be.visible')
    .clear()
    .type(value)
    .should('have.value', value);
}

export function selectMatOption(value: string) {
  cy.get('.cdk-overlay-container')
    .find('mat-option')
    .each(option => {
      if (option.attr('ng-reflect-value') === value) {
        cy.wrap(option).click();
      }
    });
}
