import type {Config} from '@jest/types';
import {pathsToModuleNameMapper} from 'ts-jest';

const config: Config.InitialOptions = {
  coverageDirectory: '<rootDir>/../../coverage/nshmp-apps',
  coverageReporters: ['text-summary', 'html'],
  globalSetup: 'jest-preset-angular/global-setup',
  moduleNameMapper: pathsToModuleNameMapper(
    {'projects/*': ['*']},
    {prefix: '<rootDir>/..'}
  ),
  preset: 'jest-preset-angular',
  reporters: ['default', 'jest-junit'],
  roots: ['..'],
  setupFilesAfterEnv: ['<rootDir>/setup-jest.ts'],
  testPathIgnorePatterns: ['<rootDir>/cypress'],
  transformIgnorePatterns: [
    'node_modules/(?!.*\\.mjs$|d3|d3-*|delaunator|robust-predicates|internmap|@ghsc/nshmp-utils-ts/node_modules/d3-format|yaml|change-case)',
  ],
};

export default config;
