import {Component} from '@angular/core';
import {MatCard, MatCardContent} from '@angular/material/card';
import {RouterLink} from '@angular/router';
import {NshmpLibNgAboutPageComponent} from '@ghsc/nshmp-lib-ng/about';
import {NshmpLibNgTemplateComponent} from '@ghsc/nshmp-lib-ng/nshmp';

import {
  gmmApps,
  mainApps,
  navigation,
  sourceModelApps,
} from '../../shared/utils/navigation.utils';
import {AboutComponent} from './components/about/about.component';

/**
 * Main entrypoint to USGS Earthquake Hazard Toolbox.
 *
 * Dashboard application showing links to all applications.
 */
@Component({
  imports: [
    NshmpLibNgTemplateComponent,
    NshmpLibNgAboutPageComponent,
    MatCard,
    RouterLink,
    MatCardContent,
    AboutComponent,
  ],
  selector: 'app-app',
  standalone: true,
  styleUrl: './app.component.scss',
  templateUrl: './app.component.html',
})
export class AppComponent {
  /** Navigation list for menu */
  navigationList = navigation();

  /** The GMM applications */
  gmmApps = gmmApps();
  /** The main applications */
  mainApps = mainApps();
  /** Source model applications */
  sourceModelApps = sourceModelApps();

  constructor() {}
}
