import {Component} from '@angular/core';
import {MatDivider} from '@angular/material/divider';
import {
  MatExpansionPanel,
  MatExpansionPanelDescription,
  MatExpansionPanelHeader,
  MatExpansionPanelTitle,
} from '@angular/material/expansion';
import {
  NshmpLibNgAboutContentComponent,
  NshmpLibNgAboutDescriptionComponent,
  NshmpLibNgAboutDescriptionTitleComponent,
  NshmpLibNgAboutExpansionPanelsComponent,
  NshmpLibNgAboutHeaderControlsComponent,
  NshmpLibNgAboutSettingsComponent,
} from '@ghsc/nshmp-lib-ng/about';
import {TOOLBOX_NAME} from 'projects/nshmp-apps/src/shared/utils/applications.utils';

/**
 * General USGS Earthquake Hazard Toolbox about page for dashboard.
 */
@Component({
  imports: [
    NshmpLibNgAboutContentComponent,
    NshmpLibNgAboutDescriptionComponent,
    NshmpLibNgAboutDescriptionTitleComponent,
    NshmpLibNgAboutExpansionPanelsComponent,
    NshmpLibNgAboutHeaderControlsComponent,
    NshmpLibNgAboutSettingsComponent,
    MatExpansionPanel,
    MatExpansionPanelHeader,
    MatExpansionPanelTitle,
    MatExpansionPanelDescription,
    MatDivider,
  ],
  selector: 'app-about',
  standalone: true,
  styleUrl: './about.component.scss',
  templateUrl: './about.component.html',
})
export class AboutComponent {
  /** Application name */
  applicationName = TOOLBOX_NAME;

  /** Application structure for list in using this application */
  templateStructure: string[] = [
    'Application controls',
    'Control panel',
    'Main content: plots and data view',
    'Main content tabs',
    'Options panel',
  ];

  constructor() {}
}
