import {Component, computed} from '@angular/core';
import {MatTabsModule} from '@angular/material/tabs';

import {AppService} from '../../services/app.service';
import {DataComponent} from '../data/data.component';
import {PlotsComponent} from '../plots/plots.component';

@Component({
  imports: [MatTabsModule, PlotsComponent, DataComponent],
  selector: 'app-content',
  standalone: true,
  styleUrl: './content.component.scss',
  templateUrl: './content.component.html',
})
export class ContentComponent {
  hasData = computed(
    () => this.service.serviceResponse()?.response !== undefined
  );

  constructor(private service: AppService) {}
}
