import {Component, Inject} from '@angular/core';
import {MatButton} from '@angular/material/button';
import {MatIcon} from '@angular/material/icon';
import {
  MAT_SNACK_BAR_DATA,
  MatSnackBar,
  MatSnackBarAction,
  MatSnackBarActions,
  MatSnackBarLabel,
} from '@angular/material/snack-bar';
import {MatTooltip} from '@angular/material/tooltip';

/**
 * Angular material snackbar to show link to download results.
 *
 * @see https://material.angular.io/components/snack-bar
 */
@Component({
  imports: [
    MatSnackBarLabel,
    MatTooltip,
    MatSnackBarActions,
    MatButton,
    MatSnackBarAction,
    MatIcon,
  ],
  selector: 'app-snack-bar',
  standalone: true,
  styleUrl: './snack-bar.component.scss',
  templateUrl: './snack-bar.component.html',
})
export class SnackBarComponent {
  constructor(
    @Inject(MAT_SNACK_BAR_DATA) public downloadUrl: string,
    private snackBar: MatSnackBar
  ) {}

  /**
   * Download the results
   */
  download() {
    window.open(this.downloadUrl);
    this.dismiss();
  }

  /**
   * Dismiss snackbar
   */
  dismiss() {
    this.snackBar.dismiss();
  }
}
