import {DynamoDBItem} from '@ghsc/nshmp-utils-ts/libs/aws/run-nshmp-haz';
import {Response} from '@ghsc/nshmp-utils-ts/libs/nshmp-ws-utils';
import {TerminateJobState} from 'projects/nshmp-apps/src/shared/models/aws-state.model';

import {GetLogsRequestData, GetLogsResponseData} from './get-logs.model';

/**
 * Application state.
 */
export interface AppState extends TerminateJobState<DynamoDBItem> {
  /** Whether log service is loading */
  serviceLoading: boolean;
  /** Log service response. */
  serviceResponse: Response<GetLogsRequestData, GetLogsResponseData>;
}
