import {AsyncPipe} from '@angular/common';
import {Component} from '@angular/core';
import {MatTab, MatTabGroup} from '@angular/material/tabs';

import {AppService} from '../../services/app.service';
import {ConfigComponent} from '../config/config.component';
import {ConfigExampleComponent} from '../config-example/config-example.component';
import {FormComponent} from '../form/form.component';
import {HistoryComponent} from '../history/history.component';

/**
 * Main content for application with tabs.
 */
@Component({
  imports: [
    MatTabGroup,
    MatTab,
    FormComponent,
    ConfigComponent,
    ConfigExampleComponent,
    HistoryComponent,
    AsyncPipe,
  ],
  selector: 'app-content',
  standalone: true,
  styleUrl: './content.component.scss',
  templateUrl: './content.component.html',
})
export class ContentComponent {
  constructor(public appService: AppService) {}
}
