/**
 * EC2 instance type.
 */
export interface InstanceType {
  cpu: number;
  mem: number;
  type: string;
}

/**
 * Returns a list of common EC2 instances.
 */
export function commonInstances(): InstanceType[] {
  return [
    {
      cpu: 16,
      mem: 64,
      type: 'm7i.4xlarge',
    },
    {
      cpu: 32,
      mem: 128,
      type: 'm7i.8xlarge',
    },
    {
      cpu: 48,
      mem: 192,
      type: 'm7i.12xlarge',
    },
    {
      cpu: 64,
      mem: 256,
      type: 'm7i.16xlarge',
    },
    {
      cpu: 96,
      mem: 384,
      type: 'm7i.24xlarge',
    },
    {
      cpu: 16,
      mem: 64,
      type: 'm7g.4xlarge',
    },
    {
      cpu: 32,
      mem: 128,
      type: 'm7g.8xlarge',
    },
    {
      cpu: 48,
      mem: 192,
      type: 'm7g.12xlarge',
    },
    {
      cpu: 64,
      mem: 256,
      type: 'm7g.16xlarge',
    },
  ];
}
