import {AsyncPipe} from '@angular/common';
import {Component} from '@angular/core';
import {ReactiveFormsModule} from '@angular/forms';
import {
  MatFormField,
  MatHint,
  MatLabel,
  MatSuffix,
} from '@angular/material/form-field';
import {MatIcon} from '@angular/material/icon';
import {MatInput} from '@angular/material/input';
import {MatTooltip} from '@angular/material/tooltip';
import {NshmpTemplateFormFieldsComponent} from '@ghsc/nshmp-template';

import {AppService} from '../../services/app.service';

/**
 * Main applicaiton content with form field for job id to terminate job.
 */
@Component({
  imports: [
    MatLabel,
    MatFormField,
    MatInput,
    MatSuffix,
    MatTooltip,
    MatHint,
    AsyncPipe,
    NshmpTemplateFormFieldsComponent,
    ReactiveFormsModule,
    MatIcon,
  ],
  selector: 'app-content',
  standalone: true,
  styleUrl: './content.component.scss',
  templateUrl: './content.component.html',
})
export class ContentComponent {
  /** Form state */
  form = this.service.formGroup;

  constructor(public service: AppService) {}
}
