import {Component} from '@angular/core';
import {MatCard, MatCardContent} from '@angular/material/card';
import {RouterLink} from '@angular/router';
import {
  NshmpLibNgAboutContentComponent,
  NshmpLibNgAboutPageComponent,
} from '@ghsc/nshmp-lib-ng/about';
import {NshmpLibNgTemplateComponent} from '@ghsc/nshmp-lib-ng/nshmp';

import * as nav from '../../../shared/utils/navigation.utils';

/**
 * Development dashboard showing links to development applications.
 */
@Component({
  imports: [
    NshmpLibNgTemplateComponent,
    NshmpLibNgAboutPageComponent,
    NshmpLibNgAboutContentComponent,
    MatCard,
    RouterLink,
    MatCardContent,
  ],
  selector: 'app-app',
  standalone: true,
  styleUrl: './app.component.scss',
  templateUrl: './app.component.html',
})
export class AppComponent {
  /** AWS applications */
  awsApps = nav.devAwsApps();
  /** Main development applications */
  mainApps = nav.devMainApps();
  /** Navigation list for menu */
  navigationList = nav.devNavigation();

  constructor() {}
}
