import {Routes} from '@angular/router';

import {devAwsRoutes} from './aws/aws.routes';
import {devGmmRoutes} from './gmm/gmm.routes';
import {devHazardRoutes} from './hazard/hazard.routes';
import {devMathRoutes} from './math/math.routes';

/**
 * Development application routes.
 */
const routes: Routes = [
  // Development dahsboard
  {
    loadComponent: () =>
      import('./dashboard/app.component').then(com => com.AppComponent),
    path: '',
  },
  // AWS applications
  {
    // canActivate: [NetworkGuard],
    // TODO add back auth when ipv6 issue is solved
    children: devAwsRoutes(),
    path: 'aws',
  },
  // Math applications
  {
    children: devMathRoutes(),
    path: 'math',
  },
  // Hazard applications
  {
    children: devHazardRoutes(),
    path: 'hazard',
  },
  // GMM applications
  {
    children: devGmmRoutes(),
    path: 'gmm',
  },
];

/**
 * Returns the development applications routes.
 */
export function devRoutes(): Routes {
  return routes;
}
