import {AsyncPipe} from '@angular/common';
import {Component} from '@angular/core';
import {MatList, MatListItem} from '@angular/material/list';
import {gmmUtils, MultiSelectableParam} from '@ghsc/nshmp-lib-ng/gmm';

import {AppService} from '../../services/app.service';

/**
 * List of control panel values.
 */
@Component({
  imports: [MatList, MatListItem, AsyncPipe],
  selector: 'app-parameter-summary',
  standalone: true,
  styleUrl: './parameter-summary.component.scss',
  templateUrl: './parameter-summary.component.html',
})
export class ParameterSummaryComponent {
  /** Paramaters */
  Params = MultiSelectableParam;

  /** Function to convert IMT id to display */
  imtIdToDisplay = gmmUtils.imtIdToDisplay;

  /** Control form field state */
  form = this.service.controlPanelForm;

  constructor(private service: AppService) {}
}
