import {Component} from '@angular/core';
import {
  AboutMainContentTab,
  NshmpLibNgAboutContentComponent,
  NshmpLibNgAboutControlPanelComponent,
  NshmpLibNgAboutDescriptionComponent,
  NshmpLibNgAboutDescriptionTitleComponent,
  NshmpLibNgAboutHeaderControlsComponent,
  NshmpLibNgAboutMainContentTabsComponent,
  NshmpLibNgAboutPlotlyComponent,
  NshmpLibNgAboutSettingsComponent,
  NshmpLibNgAboutUsingApplicationExpansionPanelComponent,
} from '@ghsc/nshmp-lib-ng/about';

/**
 * About dynamic hazard compare application page.
 */
@Component({
  imports: [
    NshmpLibNgAboutContentComponent,
    NshmpLibNgAboutDescriptionComponent,
    NshmpLibNgAboutDescriptionTitleComponent,
    NshmpLibNgAboutUsingApplicationExpansionPanelComponent,
    NshmpLibNgAboutHeaderControlsComponent,
    NshmpLibNgAboutControlPanelComponent,
    NshmpLibNgAboutMainContentTabsComponent,
    NshmpLibNgAboutPlotlyComponent,
    NshmpLibNgAboutSettingsComponent,
  ],
  selector: 'app-about',
  standalone: true,
  styleUrl: './about.component.scss',
  templateUrl: './about.component.html',
})
export class AboutComponent {
  /** Main content tab info */
  tabInfo: AboutMainContentTab[] = [
    {
      tabDescription: 'Shows the hazard curve plots',
      tabTitle: 'Plots',
    },
    {
      tabDescription: 'Shows the hazard curve data in tabular form',
      tabTitle: 'Hazard Curve Data',
    },
    {
      tabDescription:
        'Shows the uniform hazard response spectra in tabular form',
      tabTitle: 'Response Spectrum Data',
    },
  ];
}
