import {LowerCasePipe} from '@angular/common';
import {Component, Input} from '@angular/core';
import {
  MatExpansionPanel,
  MatExpansionPanelHeader,
  MatExpansionPanelTitle,
} from '@angular/material/expansion';
import {
  NshmpLibNgDataTableComponent,
  NshmpLibNgExportDataTableComponent,
  TableData,
} from '@ghsc/nshmp-lib-ng/nshmp';

/**
 * Expansion panel with data table and export.
 */
@Component({
  imports: [
    NshmpLibNgExportDataTableComponent,
    NshmpLibNgDataTableComponent,
    MatExpansionPanel,
    MatExpansionPanelHeader,
    MatExpansionPanelTitle,
    LowerCasePipe,
  ],
  selector: 'app-table-data-panel',
  standalone: true,
  styleUrl: './table-data-panel.component.scss',
  templateUrl: './table-data-panel.component.html',
})
export class TableDataPanelComponent {
  /** Text for export button */
  @Input()
  buttonText = 'Export as CSV';

  /** Filename for export  */
  @Input()
  filename: string;

  /** Expansion panel title */
  @Input()
  panelTitle: string;

  /** Table data */
  @Input()
  tableData: TableData[];
}
