import {AsyncPipe} from '@angular/common';
import {Component} from '@angular/core';
import {
  NshmpLibNgPlotResetPlotSettingsComponent,
  NshmpLibNgPlotSettingsComponent,
  NshmpPlot,
} from '@ghsc/nshmp-lib-ng/plot';

import {Plots} from '../../models/plots.model';
import {AppService} from '../../services/app.service';

/**
 * Plot settings control panel for the exceedance plot.
 */
@Component({
  imports: [
    NshmpLibNgPlotSettingsComponent,
    NshmpLibNgPlotResetPlotSettingsComponent,
    AsyncPipe,
  ],
  selector: 'app-plot-settings-panel',
  standalone: true,
  styleUrl: './plot-settings-panel.component.scss',
  templateUrl: './plot-settings-panel.component.html',
})
export class PlotSettingsPanelComponent {
  plot = this.service.plot;

  constructor(public service: AppService) {}

  updatePlot(plot: NshmpPlot): void {
    this.service.updatePlot(plot, Plots.EXCEEDANCE);
  }
}
