import {AsyncPipe} from '@angular/common';
import {Component, computed} from '@angular/core';
import {MatDivider} from '@angular/material/divider';
import {
  MatAccordion,
  MatExpansionPanel,
  MatExpansionPanelHeader,
  MatExpansionPanelTitle,
} from '@angular/material/expansion';
import {
  NshmpLibNgPlotComponent,
  NshmpLibNgPlotsContainerComponent,
} from '@ghsc/nshmp-lib-ng/plot';

import {AppService} from '../../services/app.service';

/**
 * Exceedance Plotly plot.
 *
 * Plots ground motion (g) vs annual frequency of exceedance.
 */
@Component({
  imports: [
    NshmpLibNgPlotsContainerComponent,
    NshmpLibNgPlotComponent,
    MatAccordion,
    MatExpansionPanel,
    MatExpansionPanelHeader,
    MatExpansionPanelTitle,
    MatDivider,
    AsyncPipe,
  ],
  selector: 'app-plot',
  standalone: true,
  styleUrl: './plot.component.scss',
  templateUrl: './plot.component.html',
})
export class PlotComponent {
  plotData = computed(() => this.service.plot().plotData);

  constructor(private service: AppService) {}
}
