import {Routes} from '@angular/router';

/** Error pages routes */
const routes: Routes = [
  {
    loadComponent: () =>
      import('./404/404.component').then(com => com.Error404Component),
    path: '404',
  },
  {
    loadComponent: () =>
      import('./410/410.component').then(com => com.Error410Component),
    path: '410',
  },
  {
    loadComponent: () =>
      import('./500/500.component').then(com => com.Error500Component),
    path: '500',
  },
];

/**
 * Returns the error application routes.
 */
export function errorRoutes(): Routes {
  return routes;
}
