# Ground Motion vs. Distance Application

> - [User Guide](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/)
>   - [Applications](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/)
>   - [Development Applications](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/dev)
>   - [Libraries](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/libs/)

## Application

Application to plot ground motion vs distance.

## Services

Services used from [nshmp-ws](https://code.usgs.gov/ghsc/nshmp/nshmp-ws),
<https://earthquake.usgs.gov/ws/nshmp/data/>.

Example of services called:

- Usage: <https://earthquake.usgs.gov/ws/nshmp/data/gmm/distance>
- Service call: <https://earthquake.usgs.gov/ws/nshmp/data/gmm/distance?dip=90&gmm=NGA_EAST_2018&imt=PGA&Mw=6.5&rMax=300&rMin=0.1&showEpistemicUncertainty=false&vs30=760&width=14&zTor=0.5>

## Components

### App

Main application entrypoint.

See [AppComponent](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/gmm/distance/components/AppComponent.html).

### About

Application about page.

See [AboutComponent](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/gmm/distance/components/AboutComponent.html).

### Content

Main content with Angular material tabs for different content.

See [ContentComponent](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/gmm/distance/components/ContentComponent.html).

### Control Panel

Control panel for application, form fields and buttons to plot ground motion vs distance.

See [ControlPanelComponent](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/gmm/distance/components/ControlPanelComponent.html).

### Parameter Summary

Summary of form field values used to call service.

See [ParameterSummaryComponent](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/gmm/distance/components/ParameterSummaryComponent.html).

### Plots

Ground motion vs. distance plot.

See [PlotsComponent](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/gmm/distance/components/PlotsComponent.html).

### Settings

Plot settings.

See [SettingsComponent](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/gmm/distance/components/SettingsComponent.html).

## Routing

- Ground motion models applications: [GmmModule](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/gmm/modules/GmmModule.html)
- USGS Earthquake Hazard Toolbox: [AppRoutingModule](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/modules/AppRoutingModule.html)
