import {AsyncPipe} from '@angular/common';
import {Component, computed} from '@angular/core';
import {gmmUtils} from '@ghsc/nshmp-lib-ng/gmm';
import {
  NshmpLibNgPlotResetPlotSettingsComponent,
  NshmpLibNgPlotSettingsComponent,
  NshmpPlot,
} from '@ghsc/nshmp-lib-ng/plot';

import {AppService} from '../../services/app.service';

/**
 * Plot settings panel.
 */
@Component({
  imports: [
    NshmpLibNgPlotResetPlotSettingsComponent,
    NshmpLibNgPlotSettingsComponent,
    AsyncPipe,
  ],
  selector: 'app-plot-settings-panel',
  standalone: true,
  styleUrl: './plot-settings-panel.component.scss',
  templateUrl: './plot-settings-panel.component.html',
})
export class PlotSettingsPanelComponent {
  /** Plot data */
  meanPlot = this.service.meanPlotState;

  /** Plot settings */
  meanPlotSettings = computed(() => this.service.meanPlotState()?.settingsForm);

  constructor(public service: AppService) {}

  updatePlot(plot: NshmpPlot): void {
    const plots = new Map(this.service.state().plots);
    plots.set(gmmUtils.PlotType.MEANS, plot);
    this.service.updateState({
      plots,
    });
  }
}
