import {ServiceCallInfo} from '@ghsc/nshmp-lib-ng/nshmp';
import {NshmpPlot} from '@ghsc/nshmp-lib-ng/plot';
import {
  GmmDistanceResponse,
  GmmDistanceUsage,
} from '@ghsc/nshmp-utils-ts/libs/nshmp-ws/gmm-services';
import {EnumParameterValues} from '@ghsc/nshmp-utils-ts/libs/nshmp-ws-utils/metadata';

/**
 * GMM distance app state
 */
export interface AppState {
  plots: Map<string, NshmpPlot>;
  /** Service call info */
  serviceCallInfo: ServiceCallInfo;
  /** GMM service response */
  serviceResponses: GmmDistanceResponse[];
  /** Supported IMTs */
  supportedImts: EnumParameterValues[];
  /** GMM usages */
  usageResponse: GmmDistanceUsage;
}
