import {ServiceCallInfo} from '@ghsc/nshmp-lib-ng/nshmp';
import {
  GmmSpectraResponse,
  GmmSpectraUsage,
} from '@ghsc/nshmp-utils-ts/libs/nshmp-ws/gmm-services';
import {EnumParameterValues} from '@ghsc/nshmp-utils-ts/libs/nshmp-ws-utils/metadata';

import {SpectraPlot} from './spectra-plot.model';

/**
 * Spectra application state.
 */
export interface AppState {
  /** Plots */
  plots: Map<string, SpectraPlot>;
  /** Service call info */
  serviceCallInfo: ServiceCallInfo;
  /** GMM service response */
  serviceResponses: GmmSpectraResponse[];
  /** Supported IMTs */
  supportedImts: EnumParameterValues[];
  /** GMM usages */
  usageResponse: GmmSpectraUsage;
}
