import {ResponseSpectra} from '@ghsc/nshmp-lib-ng/hazard';
import {ServiceCallInfo} from '@ghsc/nshmp-lib-ng/nshmp';
import {NshmpPlot} from '@ghsc/nshmp-lib-ng/plot';
import {
  DisaggComponentData,
  DisaggResponse,
  DisaggResponseDataValues,
  DisaggUsage,
} from '@ghsc/nshmp-utils-ts/libs/nshmp-haz/www/disagg-service';
import {NshmMetadata} from '@ghsc/nshmp-utils-ts/libs/nshmp-haz/www/nshm-service';
import {Parameter} from '@ghsc/nshmp-utils-ts/libs/nshmp-ws-utils/metadata';

/**
 * Disagg app state
 */
export interface AppState {
  /** Available NSHMs */
  availableModels: Parameter[];
  /** Current component data */
  componentData: DisaggComponentData;
  /** Current disagg data */
  disaggData: DisaggResponseDataValues;
  /** Fault sections */
  faults: GeoJSON.FeatureCollection;
  /** NSHM service metadata */
  nshmServices: NshmMetadata[];
  /** Hazard plots */
  plots: Map<string, NshmpPlot>;
  /** Hazard response spectra data */
  responseSpectra: ResponseSpectra[];
  /** Service call info */
  serviceCallInfo: ServiceCallInfo;
  /** Hazard service responses */
  serviceResponse: DisaggResponse;
  /** Hazard usage responses */
  usageResponses: Map<string, DisaggUsage>;
}
