import {ResponseSpectra} from '@ghsc/nshmp-lib-ng/hazard';
import {ServiceCallInfo} from '@ghsc/nshmp-lib-ng/nshmp';
import {NshmpPlot} from '@ghsc/nshmp-lib-ng/plot';
import {
  HazardCalcResponse,
  HazardUsageResponse,
} from '@ghsc/nshmp-utils-ts/libs/nshmp-haz/www/hazard-service';
import {NshmMetadata} from '@ghsc/nshmp-utils-ts/libs/nshmp-haz/www/nshm-service';
import {Parameter} from '@ghsc/nshmp-utils-ts/libs/nshmp-ws-utils/metadata';

/**
 * Dynamic hazard state.
 */
export interface AppState {
  /** Available NSHMs */
  availableModels: Parameter[];
  /** NSHM service metadata */
  nshmServices: NshmMetadata[];
  /** Hazard plots */
  plots: Map<string, NshmpPlot>;
  /** Hazard response spectra data */
  responseSpectra: ResponseSpectra;
  /** Service call info */
  serviceCallInfo: ServiceCallInfo;
  /** Hazard service responses */
  serviceResponse: HazardCalcResponse;
  /** Hazard usage responses */
  usageResponses: Map<string, HazardUsageResponse>;
}
