import {Component} from '@angular/core';
import {NshmpLibNgAboutPageComponent} from '@ghsc/nshmp-lib-ng/about';
import {NshmpLibNgTemplateComponent} from '@ghsc/nshmp-lib-ng/nshmp';

import {apps} from '../../shared/utils/applications.utils';
import {navigation} from '../../shared/utils/navigation.utils';
import {AboutComponent} from './components/about/about.component';
import {ContentComponent} from './components/content/content.component';

/**
 * Main application entrypoint for services.
 *
 * Angular expansion panels with Swagger pages of all applications.
 */
@Component({
  imports: [
    NshmpLibNgTemplateComponent,
    NshmpLibNgAboutPageComponent,
    ContentComponent,
    AboutComponent,
  ],
  selector: 'app-app',
  standalone: true,
  styleUrl: './app.component.scss',
  templateUrl: './app.component.html',
})
export class AppComponent {
  /** Navigation for menu */
  navigationList = navigation();
  /** Application title */
  title = apps().services.display;

  constructor() {}
}
