import {AsyncPipe} from '@angular/common';
import {Component} from '@angular/core';
import {MatExpansionModule} from '@angular/material/expansion';
import {
  NshmpLibNgPlotResetPlotSettingsComponent,
  NshmpLibNgPlotSettingsComponent,
  NshmpPlot,
  PlotSettingsPanel,
} from '@ghsc/nshmp-lib-ng/plot';

import {Plots} from '../../models/plots.model';
import {AppService} from '../../services/app.service';

/**
 * Plot settings panel.
 */
@Component({
  imports: [
    NshmpLibNgPlotSettingsComponent,
    NshmpLibNgPlotResetPlotSettingsComponent,
    AsyncPipe,
    MatExpansionModule,
  ],
  selector: 'app-plot-settings-panel',
  standalone: true,
  styleUrl: './plot-settings-panel.component.scss',
  templateUrl: './plot-settings-panel.component.html',
})
export class PlotSettingsPanelComponent {
  /** MFD plot state */
  private mfdPlot = this.service.mfdPlotState;

  /** MFD plot settings state */
  mfdSettings = this.service.mfdPlotSettings;

  panels: PlotSettingsPanel[] = [
    {
      id: Plots.MFD,
      plot: this.mfdPlot,
      title: 'MFD Plot Settings',
    },
  ];

  constructor(public service: AppService) {}

  updatePlot(id: string, plot: NshmpPlot): void {
    const plots = new Map(this.service.plots());
    plots.set(id, plot);
    this.service.updateState({
      plots,
    });
  }
}
