import {ServiceCallInfo} from '@ghsc/nshmp-lib-ng/nshmp';
import {NshmpPlot} from '@ghsc/nshmp-lib-ng/plot';
import {NshmMetadata} from '@ghsc/nshmp-utils-ts/libs/nshmp-haz/www/nshm-service';
import {
  SourceLogicTreesResponse,
  SourceLogicTreesUsage,
} from '@ghsc/nshmp-utils-ts/libs/nshmp-haz/www/source-logic-trees-service';
import {Parameter} from '@ghsc/nshmp-utils-ts/libs/nshmp-ws-utils/metadata';

/**
 * MFD application state.
 */
export interface AppState {
  /** Available NSHMs */
  availableModels: Parameter[];
  /** NSHMs services */
  nshmServices: NshmMetadata[];
  /** Hazard plots */
  plots: Map<string, NshmpPlot>;
  /** Service call info */
  serviceCallInfo: ServiceCallInfo;
  /** Servicce response */
  serviceResponse: SourceLogicTreesResponse;
  /** NSHMs MFD usages */
  usageResponses: Map<string, SourceLogicTreesUsage>;
}
