import {ReturnPeriod} from '@ghsc/nshmp-lib-ng/nshmp';
import {Imt} from '@ghsc/nshmp-utils-ts/libs/nshmp-lib/gmm';
import {NshmId} from '@ghsc/nshmp-utils-ts/libs/nshmp-lib/nshm';

/**
 * Form fields for control panel.
 */
export interface ControlForm {
  /** Whether devollement toggle is on */
  hasDecollementLayer: boolean;
  /** Whether latest earthquake toggle is on */
  hasEarthquakesLayer: boolean;
  /** Whether fault sections toggle is on */
  hasFaultSectionLayer: boolean;
  /** Whether zone source toggle is on */
  hasHazardTiles: boolean;
  /** Whether interface sections toggle is on */
  hasInterfaceSectionsLayer: boolean;
  /** Whether NSHM boundary toggle is on*/
  hasNshmBoundaryLayer: boolean;
  /** Whether test sites toggle is on */
  hasTestSitesLayer: boolean;
  /** Whether zone sources is toggled on */
  hasZoneSourcesLayer: boolean;
  /** IMT for hazard map tile */
  hazardTileImt: Imt;
  /** Return period for hazard map tile */
  hazardTileReturnPeriod: ReturnPeriod;
  /** Year for hazard map tile */
  hazardTileYear: number;
  /** Latest earthquake feed time frame */
  latestEarthquakeTime: LatestEarthquakeTime;
  /** The NSHM */
  model: NshmId;
  /** Leaflet overlay opactiy */
  overlayOpacity: number;
}

export enum LatestEarthquakeTime {
  DAY = 'DAY',
  MONTH = 'MONTH',
  WEEK = 'WEEK',
}
