import {ReturnPeriod} from '@ghsc/nshmp-lib-ng/nshmp';
import {Imt} from '@ghsc/nshmp-utils-ts/libs/nshmp-lib/gmm';
import {NshmId} from '@ghsc/nshmp-utils-ts/libs/nshmp-lib/nshm';

/**
 * Hazard map tile info.
 *
 * See: https://earthquake.usgs.gov/arcgis/rest/services/haz
 */
export interface HazardTile {
  /** Hazard map IMT  */
  imt: Imt;
  /** Hazard map name */
  mapName: string;
  /** Hazard map NSHM */
  nshm: NshmId;
  /** Hazard map return period */
  returnPeriod: ReturnPeriod;
}
