import {Routes} from '@angular/router';

/** Routes for source model applications */
const routes: Routes = [
  // model maps application
  {
    loadComponent: () =>
      import('./model-maps/app.component').then(com => com.AppComponent),
    path: 'model-maps',
  },
  // Redirect from old application name
  {
    path: 'data',
    redirectTo: 'model-maps',
  },
  // MFD application
  {
    loadComponent: () =>
      import('./mfd/app.component').then(com => com.AppComponent),
    path: 'mfd',
  },
];

/**
 * Returns source application routes.
 */
export function sourceRoutes(): Routes {
  return routes;
}
