import {
  JobHistoryRequestData,
  TerminateJobRequestData,
} from '@ghsc/nshmp-lib-ng/aws';
import {DynamoDBItem} from '@ghsc/nshmp-utils-ts/libs/aws/run-nshmp-haz';
import {Response} from '@ghsc/nshmp-utils-ts/libs/nshmp-ws-utils';
import {EC2} from 'aws-sdk';

/**
 * State for job history.
 */
export interface JobHistoryState<T extends DynamoDBItem | DynamoDBItem[]> {
  /** Job history response */
  jobHistoryResponse: Response<JobHistoryRequestData, T>;
}

/**
 * State for terminating job.
 */
export interface TerminateJobState<T extends DynamoDBItem | DynamoDBItem[]>
  extends JobHistoryState<T> {
  /** Terminate job response */
  terminateJobResponse: Response<
    TerminateJobRequestData,
    EC2.InstanceStateChangeList
  >;
}
